C API Functions

## udbDbOpen

### Description

Open the specified Understand database.

The specified database file is located, opened, and the license checked. If the specified file cannot be found, Udb_statusDBUnableOpen is returned. A valid Understand license is required in order for a database to be successfully opened. If a license is not found or not available for use, the language specific value Udb_statusNoApiLicense[C|Ada|Ftn] is returned. Only read access to the database is allowed from the API.

Some versions of Understand will automatically update an older database version to the current database version. This API function will not perform that database version upgrade. Use Understand to upgrade or re-analyze your project database.

Only one database may be open at a time.

### Syntax

     #include "udb/udb.h"
     UdbStatus  udbDbOpen(char *filename);

### Arguments

Argument | description
char *filename | Specify the filename of the Understand database to open. Non-allocated.

### Return Values

Return values | description
Udb_statusOkay | Database opened successfully.
Udb_statusDBAlreadyOpen | Database is already open
Udb_statusDBCorrupt | Database is corrupt
Udb_statusDBOldVersion | Database has old version
Udb_statusDBUnknownVersion | Database has unknown version
Udb_statusDBUnableCreate | Unable to create database
Udb_statusDBUnableDelete | Unable to delete database
Udb_statusDBUnableModify | Unable to modify database
Udb_statusDBUnableOpen | Unable to locate the database file
Udb_statusDBUnableWrite | Unable to write database
Udb_statusNoApiLicenseAda | There is no Understand for Ada License available for the API.
Udb_statusNoApiLicenseC | There is no Understand for C License available for the API.
Udb_statusNoApiLicenseFtn | There is no Understand for Fortran License available for the API.

### Example Usage

     status = udbDbOpen("test.udc")

### See Also

udbDbClose to close the open database.

udbSetLicense to specify the path to the Understand license file.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com